PETSc version 3.17.4
Fix/Edit manual page

# DMPlexMetricGetGradationFactor

Get the metric gradation factor

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricGetGradationFactor(DM dm, PetscReal *beta)

### Input parameters

| dm | - The DM

### Output parameters

| beta | - The metric gradation factor

### Notes

The gradation factor is the maximum tolerated length ratio between adjacent edges.

The value -1 implies that gradation is turned off.

This is only used by Mmg and ParMmg (not Pragmatic).

### See Also

DMPlexMetricSetGradationFactor(), DMPlexMetricGetHausdorffNumber()

### Level

beginner

### Location

src/dm/impls/plex/plexmetric.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages